package com.cn.bjca.chatbots.core.callback.controller;

import com.cn.bjca.chatbots.core.pojo.callback.CallRecordDTO;
import com.cn.bjca.chatbots.core.service.CallRecordCallbackService;
import org.springframework.context.annotation.Lazy;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;


public class CallRecordCallbackController {

    @Resource
    @Lazy
    public CallRecordCallbackService callRecordCallbackService;


    /**
     * 接收三方平台的通话记录回调数据，并将其传递给回调处理服务。
     *
     * @param callRecord 回调的通话记录数据
     */
    @PostMapping("/callback/callRecord")
    public void handleCallRecordCallback(@RequestBody CallRecordDTO callRecord) {
        // 调用业务系统实现的回调服务
        callRecordCallbackService.handleCallRecord(callRecord);
    }
}
