package com.cn.bjca.chatbots.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通话结果枚举
 * author: topsuder
 */
@Getter
@AllArgsConstructor
public enum CallResult {
    ANSWERED("已接听"),
    NO_ANSWER("无应答"),
    BUSY("忙线中"),
    POWER_OFF("关机"),
    OUT_OF_SERVICE("停机"),
    REFUSED("拒接"),
    VACANT_NUMBER("空号"),
    CAN_NOT_CONNECT("无法接通"),
    EXTENSION_NUMBER("分机号错误"),
    CALL_LIMIT("呼叫受限"),
    FROM_PHONE_ERROR("主叫欠费"),
    SYSTEM_ERROR("外呼失败"),
    CALL_LOSS("多并发呼损"),
    TRANSFER_ARTIFICIAL("转人工呼损"),
    LINE_INTERCEPT("线路拦截");

    private final String desc;
}