package com.cn.bjca.chatbots.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 外呼过滤枚举
 * author: topsuder
 */
@Getter
@AllArgsConstructor
public enum OutboundFilter {
    DEAD_ZONE("线路盲区"),
    OPERATOR_RESTRICT("运营商限制"),
    SHARE_WHITE_LIST("系统黑名单拦截"),
    JOB_WHITE_LIST("账号黑名单拦截"),
    INTERCEPT("账号超频拦截"),
    CALL_UPPER_LIMIT("拨打上限"),
    LACK_PROPERTIES("自定义变量缺失"),
    BLACK_LIST("大数据黑名单拦截"),
    ILLEGAL_TEL("非法联系电话"),
    OPERATOR_AND_AREA("运营商限制&线路盲区"),
    INVALID_ADD_WECHAT_ACCOUNT("加微账号不可用"),
    SYSTEM_ATTRIBUTE_LIMIT("系统属性限制"),
    ATTRIBUTE_LIMIT("业务属性限制"),
    BRAND_BLACK_LIST("集团黑名单拦截"),
    SYSTEM_INTERCEPT("系统超频拦截");

    private final String desc;
}