package com.cn.bjca.chatbots.core.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统挂起类型枚举
 * author: topsuder
 */
@Getter
@AllArgsConstructor
public enum SystemHangUpType {
    ACCOUNT_DEBT("使用的线路账户已欠费"),
    NO_ROBOT_AVAILABLE("当前没有可用坐席"),
    PHONE_UNBIND("使用的线路已解绑"),
    LINE_BREAKDOWN("使用的线路状态均为故障"),
    AVAILABLE_ROBOT_NOT_ENOUGH("有效坐席数不足，请检查有效AI坐席数量！"),
    PREEMPTION_BY_HIGH_PRIORITY_JOB("并发被优先任务占用"),
    BOT_UNBOUND("任务使用的话术已解绑 ，请检查"),
    TTS_UNBOUND("任务使用的话术关联的音色已解绑，请检查"),
    NO_AUTHENTICATION("未进行资质认证"),
    ASR_UNBOUND("任务使用的话术关联的ASR已解绑，请检查"),
    LINE_NOT_SUPPORT("任务使用的线路均不支持AI外呼"),
    TOTAL_ACCOUNT_DEBT("按量付费客户账户余额不足"),
    WECHAT_ADD_FRIEND_TYPE_UPDATE("微信加好友类型已经修改"),
    LINE_CONCURRENCY_NOT_ENOUGH("线路并发数不足"),
    SMS_DEBT("短信余额不足，无法发送意向短信"),
    INDUSTRY_NOT_MATCH("线路外呼行业限制"),
    SCRM_RELATION_INVALID("未关联SCRM企业 无法推送加微数据"),
    SCRM_ACCOUNTS_UNAVAILABLE("所有加微账号均不可用 具体原因可参见SCRM-加微账号模块");

    private final String desc;
}