package com.cn.bjca.chatbots.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 任务状态枚举
 * author: topsuder
 */
@Getter
@AllArgsConstructor
public enum TaskStatus {
    NOT_STARTED("未开始"),
    IN_PROCESS("进行中"),
    COMPLETED("已完成"),
    RUNNABLE("可运行"),
    USER_PAUSE("用户暂停"),
    SYSTEM_SUSPENDED("系统暂停"),
    TERMINATE("已终止"),
    IN_QUEUE("排队中"),
    SYSTEM_HANG_UP("系统挂起"),
    WAITING_FOR_REDIAL("等待重呼"),
    ACCOUNT_DISABLE("账户禁用"),
    MAINTAIN("系统维护"),
    EXPIRED("任务超时"),
    NOT_GENERATED("未生成"),
    ARCHIVED("已归档");

    private final String desc;
}