package com.cn.bjca.chatbots.core.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 描述：分页参数
 *
 * @author liweichao
 * @date 2023/6/29 2:58 下午
 * Copyright (C) 2023 BJCA
 * All rights reserved
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class PageParam {

    private int pageNum = 1;

    private int pageSize = 10;

    /**
     * 是否首页
     *
     * @return boolean
     */
    public boolean isFirstPage() {
        return 1 == pageNum;
    }

}
