package com.cn.bjca.chatbots.core.pojo.job;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ImportCustomerRep {

    /**
     * 手机号，导入失败时会返回
     */
    private String phoneNumber;

    /**
     * 导入失败原因:
     * 1. 该手机的归属地不是指定区号;
     * 2. 该客户已存在在任务中，不可重复导入;
     * 3. 号码必须是手机号或者固定号码;
     * 4. 号码超过限制长度128;
     * 5. 该客户自定义属性不完整
     */
    private String errorMsg;
}
