package com.cn.bjca.chatbots.core.pool;

/**
 * <pre>外呼接口常量池</pre>
 *
 * <p>Description</p>
 * <pre>
 *     __
 *    / /____  ___
 *   / __/ _ \/ _ \
 *   \__/\___/ .__/
 *          / / Coding is an art,
 *         /_/      And I'm its Picasso.
 *
 *   ██████  █    ██ ▓█████▄ ▓█████  ██▀███
 * ▒██    ▒  ██  ▓██▒▒██▀ ██▌▓█   ▀ ▓██ ▒ ██▒
 * ░ ▓██▄   ▓██  ▒██░░██   █▌▒███   ▓██ ░▄█ ▒
 *   ▒   ██▒▓▓█  ░██░░▓█▄   ▌▒▓█  ▄ ▒██▀▀█▄
 * ▒██████▒▒▒▒█████▓ ░▒████▓ ░▒████▒░██▓ ▒██▒
 * ▒ ▒▓▒ ▒ ░░▒▓▒ ▒ ▒  ▒▒▓  ▒ ░░ ▒░ ░░ ▒▓ ░▒▓░
 * ░ ░▒  ░ ░░░▒░ ░ ░  ░ ▒  ▒  ░ ░  ░  ░▒ ░ ▒░
 * ░  ░  ░   ░░░ ░ ░  ░ ░  ░    ░     ░░   ░
 *       ░     ░        ░       ░  ░   ░
 *                    ░
 * </pre>
 *
 * @author topsuder
 * @date 2024/9/20-15:45
 * @see IntelliJ IDEA chatbots-yiwise-parent
 * @see UrlPool 外呼接口常量池
 * @since <p>Copyright: 北京数字医信科技责任有限公司 (c) 2024</p>
 * <p>Company: 15303997779</p>
 */
public interface UrlPool {
    String BASE_URL = "https://openapi.tanyibot.com/apiOpen/";
    String BASE_VERSION = "v1";

    interface DialogFlowPool {
        String BASE_URL = "/dialogFlow";
        String GET_DIALOGFLOW_LIST = BASE_URL + "/getDialogFlowList";
        String GET_TOTAL_DIALOGFLOW_LIST = BASE_URL + "/getTotalDialogFlowList";
    }

    interface JobPool {
        String BASE_URL = "/job";
        String CREATE = BASE_URL + "/create";
        String IMPORT_CUSTOMER = BASE_URL + "/importCustomer";
    }
}
