package com.cn.bjca.chatbots.core.properties;

import com.cn.bjca.chatbots.core.pool.UrlPool;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * <pre>外呼属性类</pre>
 *
 * <span>Form File</span>
 * <p>Description</p>
 * <p>Copyright: 北京数字医信科技责任有限公司 (c) 2023</p>
 * <p>Company:Wechat 15303997779</p>
 *
 * @author topsuder
 * @version v1.0.0
 * @DATE 2023/12/11-14:09
 * @Description
 * @see com.szyx.spring.boot.autoconfigure chat-parent
 */
@Data
@Accessors(chain = true)
@ConfigurationProperties(prefix = "szyx.chatbots")
public class ChatbotsProperties {


    /**
     * openapi url
     */
    private String baseUrl = UrlPool.BASE_URL;

    /**
     * version
     */
    private String version = UrlPool.BASE_VERSION;

    /**
     * key
     */
    private String appKey;

    /**
     * secret
     */
    private String appSecret;

    /**
     * sign
     */
    private String tenantSign;

}
