package com.cn.bjca.chatbots.web;

import cn.hutool.core.date.DateUtil;
import com.cn.bjca.chatbots.core.enums.Mode;
import com.cn.bjca.chatbots.core.pojo.ApiResponse;
import com.cn.bjca.chatbots.core.pojo.PageResult;
import com.cn.bjca.chatbots.core.pojo.dialogflow.DialogFlow;
import com.cn.bjca.chatbots.core.pojo.dialogflow.DialogFlowPageDTO;
import com.cn.bjca.chatbots.core.pojo.job.JobCreateDTO;
import com.cn.bjca.chatbots.core.service.DialogFlowService;
import com.cn.bjca.chatbots.core.service.JobService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <pre></pre>
 *
 * <p>Description</p>
 * <pre>
 *     __
 *    / /____  ___
 *   / __/ _ \/ _ \
 *   \__/\___/ .__/
 *          / / Coding is an art,
 *         /_/      And I'm its Picasso.
 *
 *   ██████  █    ██ ▓█████▄ ▓█████  ██▀███
 * ▒██    ▒  ██  ▓██▒▒██▀ ██▌▓█   ▀ ▓██ ▒ ██▒
 * ░ ▓██▄   ▓██  ▒██░░██   █▌▒███   ▓██ ░▄█ ▒
 *   ▒   ██▒▓▓█  ░██░░▓█▄   ▌▒▓█  ▄ ▒██▀▀█▄
 * ▒██████▒▒▒▒█████▓ ░▒████▓ ░▒████▒░██▓ ▒██▒
 * ▒ ▒▓▒ ▒ ░░▒▓▒ ▒ ▒  ▒▒▓  ▒ ░░ ▒░ ░░ ▒▓ ░▒▓░
 * ░ ░▒  ░ ░░░▒░ ░ ░  ░ ▒  ▒  ░ ░  ░  ░▒ ░ ▒░
 * ░  ░  ░   ░░░ ░ ░  ░ ░  ░    ░     ░░   ░
 *       ░     ░        ░       ░  ░   ░
 *                    ░
 * </pre>
 *
 * @author topsuder
 * @date 2024/9/20-17:25
 * @see IntelliJ IDEA chatbots-yiwise-parent
 * @see DemoController
 * @since <p>Copyright: 北京数字医信科技责任有限公司 (c) 2024</p>
 * <p>Company: 15303997779</p>
 */
@RestController
@RequestMapping("/ai/yiwise/demo")
public class DemoController {

    @Resource
    private DialogFlowService dialogFlowService;

    @Resource
    private JobService jobService;

    @GetMapping("/dialogFlowPageTest")
    public ApiResponse<PageResult<DialogFlow>> page() {
        return dialogFlowService.getTotalDialogFlowList(DialogFlowPageDTO.builder()
                .name("khcrm")
                .pageNum(1)
                .pageSize(20)
                .build());
    }

    @GetMapping("/job/create")
    public ApiResponse<Long> create() {
        return jobService.create(JobCreateDTO.builder()
                .name("khcrm-chatbots-test-name1")
                .dialogFlowId(93631L)
                .mode(Mode.AUTO.name())
                .startTime(DateUtil.date())
                .build());
    }

    @GetMapping("/dialogFlowList")
    public ApiResponse<List<DialogFlow>> list() {
        return dialogFlowService.getDialogFlowList();
    }


}
